package com.zhyc.module.biosafety.service;

import java.util.List;

import com.zhyc.module.biosafety.domain.QuarantineSample;

/**
 * 样品类型Service接口
 * 
 * @author ruoyi
 * @date 2025-07-14
 */
public interface IQuarantineSampleService 
{
    /**
     * 查询样品类型
     * 
     * @param id 样品类型主键
     * @return 样品类型
     */
    public QuarantineSample selectQuarantineSampleById(Long id);

    /**
     * 查询样品类型列表
     * 
     * @param quarantineSample 样品类型
     * @return 样品类型集合
     */
    public List<QuarantineSample> selectQuarantineSampleList(QuarantineSample quarantineSample);

    /**
     * 新增样品类型
     * 
     * @param quarantineSample 样品类型
     * @return 结果
     */
    public int insertQuarantineSample(QuarantineSample quarantineSample);

    /**
     * 修改样品类型
     * 
     * @param quarantineSample 样品类型
     * @return 结果
     */
    public int updateQuarantineSample(QuarantineSample quarantineSample);

    /**
     * 批量删除样品类型
     * 
     * @param ids 需要删除的样品类型主键集合
     * @return 结果
     */
    public int deleteQuarantineSampleByIds(Long[] ids);

    /**
     * 删除样品类型信息
     * 
     * @param id 样品类型主键
     * @return 结果
     */
    public int deleteQuarantineSampleById(Long id);
}
